Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513241 - filezilla: symbol lookup error: filezilla: undefined symbol: _ZN2fz6threadC2Ev
Summary: filezilla: symbol lookup error: filezilla: undefined symbol: _ZN2fz6threadC2Ev
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: filezilla
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 01:48 UTC by yucef sourani
Modified: 2018-01-17 18:26 UTC (History)
6 users (show)

Fixed In Version: filezilla-3.29.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:31:54 UTC


Attachments (Terms of Use)

Description yucef sourani 2017-11-15 01:48:44 UTC
Description of problem:
filezilla not working .
error:
filezilla: symbol lookup error: filezilla: undefined symbol: _ZN2fz6threadC2Ev


Version-Release number of selected component (if applicable):
filezilla     3.28.0-2.fc27 
libfilezilla  0.11.1-1.fc27


filezilla works without problems with The old version of libfilezilla
sudo dnf downgrade  libfilezilla
libfilezilla  0.11.0-1.fc27

Comment 1 Gwyn Ciesla 2017-11-15 13:29:11 UTC
This should work with 3.29.0:

https://koji.fedoraproject.org/koji/buildinfo?buildID=995818

Comment 2 Rex Dieter 2017-11-15 13:56:17 UTC
Should be fixed by:
https://bodhi.fedoraproject.org/updates/FEDORA-2017-9dc7ba2512

Except, looks like it's maintainer also pushed an older
https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2d8fa75f2

stable at the same time, so that one took precedence.

Comment 3 Fedora Update System 2017-11-15 14:20:52 UTC
filezilla-3.29.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4847fa06b9

Comment 4 Fedora Update System 2017-11-15 23:53:31 UTC
filezilla-3.29.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4847fa06b9

Comment 5 Pedro Lopes 2017-11-20 15:42:54 UTC
My error (filezilla: symbol lookup error: filezilla: undefined symbol: _ZN2fz6threadC2Ev) was pretty the same as the presented in this page.

For me, upgrading from [filezilla-3.28.0-2.fc27.x86_64] TO [filezilla-3.29.0-1.fc27.x86_64.rpm], solved this issue.

Many thanks.

Comment 6 Fedora Update System 2017-11-21 23:31:54 UTC
filezilla-3.29.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Carlo Vittoli 2018-01-17 14:05:14 UTC
The same problem has appeared in Fedora 26 updated to libfilezilla-0.11.2-1.fc26. More details at

https://ask.fedoraproject.org/en/question/116422/how-to-report-a-problem-in-latest-libfilezilla-package/

Comment 8 Rex Dieter 2018-01-17 17:05:08 UTC
Not a good example of how to report a problem unfortunately.

1.  adding comments to an already closed bug for similar (but unrelated) issue
2.  wrong component

Ideally:  open a new bug against libfilezilla


That said, looks like maintainer tried to build filezilla, but it failed:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24088676

(that should have been fixed prior to pushing libfilezilla separately as a f26 update)

limb is cc'd on this report already, so hopefully they can sort it out soon
(feel free to reach out to me if any assistance is required)

Comment 9 Gwyn Ciesla 2018-01-17 18:26:30 UTC
Working this out on BZ 1535257.


Note You need to log in before you can comment on or make changes to this bug.